function mcoord=elm_coord(nEle,gcoord_index,Cne,Pnn,coordSys,quad4,tria3,str_coord)
if ~isempty(Cne)

    for i=1:nEle
    
    
    if Cne(i,5)~=0

    glocoord = Pnn(gcoord_index(Cne(i,2:5)),:);

    % Costruzione del sistema di riferimento dell'elemento, qualora il
    % sistema materiale non sia stato definito
    if quad4(i,7)<0
        str=['[vx,vy,vz] = cquad4_elm_coord_' str_coord '(glocoord(1,:),glocoord(2,:),glocoord(3,:),glocoord(4,:));'];
        eval(str);
        mcoord(:,:,i) = [vx; vy; vz];
    else
    MCID = quad4(i,7);
   
    mcoord(:,:,i) = coordSys(:,:,MCID+1);
    end
    
    else
    
    glocoord = Pnn(gcoord_index(Cne(i,2:4)),:);
    
    
    % Costruzione del sistema di riferimento dell'elemento, qualora il
    % sistema materiale non sia stato definito
    if tria3(i,6)<0
        [vx,vy,vz] = ctria3_elm_coord(glocoord(1,:),glocoord(2,:),glocoord(3,:));
        mcoord(:,:,i) = [vx; vy; vz];
    else
    MCID = tria3(i,6);
   
    mcoord(:,:,i) = coordSys(:,:,MCID+1);
    end
    end
    
   
    
   

end
end
end